import fdubath.entrelacs.*;
import fdubath.entrelacs.tilling.*;

/** 
* Simple fdubath.entrelacs.tilling.Drawer implementation: 
* one can customize the drawer in order to add effects. 
* See package doc for parameters meaning.
* 
*                                   F. Dubath 22/01/2010
*/
class ProcessingDrawer implements Drawer{
  public void singleLine(int[] rgbColor,double[] start,double[] end){
    color border = color(rgbColor[0], rgbColor[1], rgbColor[2]);
    stroke(border);
    line((float)start[0],(float)start[1],(float)end[0],(float)end[1]);
  }

  public void fillPolygon(int[] rgbColor, double[] coordinateX, double[] coordinateY, int dotNumber) {
    color interior = color(rgbColor[0], rgbColor[1], rgbColor[2]);
    noStroke();
    fill(interior);
    beginShape();
    for(int i=0;i<dotNumber;i++){
      vertex((float)coordinateX[i],(float)coordinateY[i]);
    }
    endShape(CLOSE);
  }

  public void strockPolyLine(int[] rgbColor, double[] coordinateX, double[] coordinateY, int dotNumber) {
    color border = color(rgbColor[0], rgbColor[1], rgbColor[2]);
    stroke(border);
    noFill();
    beginShape();
    for(int i=0;i<dotNumber;i++){
      vertex((float)coordinateX[i],(float)coordinateY[i]);
    }
    endShape();
  }
}

